Subject: Re: bug#56582: Installer does not detect or allow detection of other bootable partitions

From: Julien Lepiller <[email-masked]>
Date: Sat, 16 Jul 2022 07:46:18 +0200

Hi Peter,

This is indeed not nice. Guix does not provide a useful package that would reinstall boot configuratipn because boot configuration is managed together with the rest of the system configuration.

You need to update your /etc/config.scm to declare more entries, and reconfigure. Here are the relevant chapters in the manual:

https://guix.gnu.org/manual/devel/en/html_node/Bootloader-Configuration.html (in particular, see menu-entry)

https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix-system.html (see reconfigure)

Of course this is only a workaround I'm proposing, we should fix the installer to detect other OSs.

HTH!

Le 15 juillet 2022 22:10:46 GMT+02:00, Peter <[email-masked]> a écrit :
>Hi,
>
>This is a particularly AWFUL user experience bug. Installing GUIX to a
>partition only lists GUIX in the grub boot menu afterward despite the
>existence of other bootable OSes on the drive.
>
>Ok fine thinks I, I will just need to manually run grub's mkconfig to force
>re-detection. But this command does not exist in GUIX. Installing grub did
>not create grub2-mkconfig. Installing osprober wasn't helpful.
>
>I did not see documentation on how to make GUIX detect and add other
>operating systems to the boot menu from userland. After much time wasted, I
>needed to download another distro, install it so it would repair the boot
>menu, and then be able to boot into my main partition.
>
>Recommendation:
>Installer needs to detect and add to the menu the other OSes.
>Documentation needs to show how to do it manually via a different method if
>GUIX does not include grub2-mkconfig otherwise it needs to warn upfront
>that this distro should not be used on multi-boot PCs.
>
>Best,
>Peter